/**
*****************************************************************************
**
**  File        : serial_io.h
**
**  Abstract    : System Workbench functions to set the serial port as
**  			  characters input/output
**  			  Set the "PRINT_SERIAL" constant to 1 to use serial port
**  			  as characters input/output
**
**  Environment : System Workbench for MCU
**
**  Distribution: The file is distributed as is, without any warranty
**                of any kind.
**
**  (c)Copyright System Workbench for MCU.
**  You may use this file as-is or modify it according to the needs of your
**  project. Distribution of this file (unmodified or modified) is not
**  permitted. System Workbench for MCU permit registered System Workbench(R) users the
**  rights to distribute the assembled, compiled & linked contents of this
**  file as part of an application binary file, provided that it is built
**  using the System Workbench for MCU toolchain.
**
*****************************************************************************
*/

#ifndef SERIAL_IO_H_
#define SERIAL_IO_H_

/**
 * Define PRINT_SERIAL value at :
 * 	1 to redirect characters to the serial port
 *  0 to redirect characters to the LCD output (default)
 **/
#define PRINT_SERIAL	0


extern void __serial_io_init(void);
extern int __serial_io_putchar(int ch);
extern int __serial_io_getchar(void);


#endif /* SERIAL_IO_H_ */
